MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031312Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-01-22 20:102020-01-25 13:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031312: Data Exchange - RWGltf_CafReader fails reading texture embedded into base64 bufferView
DescriptionBlender generated glTF files with textures embedded in non-standard way - it creates a single base64-encoded Buffer which is referred with offset for both vertex data and image data.

At the same time, spec suggests that base64-encoded images should be stored within "uri". So that although Blender encoding follows general logic for encoding base64 data via buffer views, it is unclear if such encoding for images complies or violates specs.

Nevertheless, it is desired to handle such use case.
Currently, RWGltf_CafReader ignores texture data from such files without emitting any error message.
TagsNo tags attached.
Test case numberde_mesh/gltf_read/cubeemb
Attached Files? file icon bug31312_cube_emb.gltf (8,612 bytes) 2020-01-22 20:18

- Relationships
child of 0030691closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

-  Notes
(0089994)
git (administrator)
2020-01-22 20:27

Branch CR31312 has been created by kgv.

SHA-1: bfc30a6d3d4a70220738ccd292b68e57fa1d6d2f


Detailed log of new commits:

Author: kgv
Date: Wed Jan 22 20:18:44 2020 +0300

    0031312: Data Exchange - RWGltf_CafReader fails reading texture embedded into base64 bufferView
    
    RWGltf_GltfJsonParser::gltfParseTexture() now handles images embedded into bufferView of non-glb file.

Author: mzernova
Date: Mon Jan 13 10:21:10 2020 +0300

    0031279: Visualization, TKOpenGl - environment background is misplaced within Ray-Tracing
    
    Fixed problem with misplacing background texture in Ray-Tracing.
(0089995)
git (administrator)
2020-01-22 20:40

Branch CR31312 has been updated forcibly by kgv.

SHA-1: edcfb06c07c4427f24610dc7e3f1ef5fab252f82
(0089998)
git (administrator)
2020-01-22 22:29

Branch CR31312 has been updated forcibly by kgv.

SHA-1: b33bf4d2d4e4f52d3aac23d8741fb70aa13da59a
(0089999)
git (administrator)
2020-01-22 22:33

Branch CR31312 has been updated forcibly by kgv.

SHA-1: 75e90305d15d2b85cf4fb8aec169c6840b2bef37
(0090000)
kgv (developer)
2020-01-22 23:08

Patch is ready for review.
(0090028)
osa (developer)
2020-01-23 17:40

The patch was reviewed without remarks
(0090060)
git (administrator)
2020-01-25 13:26

Branch CR31312 has been deleted by inv.

SHA-1: 75e90305d15d2b85cf4fb8aec169c6840b2bef37

- Related Changesets
occt: master 6216ed57
Timestamp: 2020-01-22 17:18:44
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031312: Data Exchange - RWGltf_CafReader fails reading texture embedded into base64 bufferView

RWGltf_GltfJsonParser::gltfParseTexture() now handles images embedded into bufferView of non-glb file.
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.pxx Diff ] File ]
add - tests/de_mesh/gltf_read/cubeemb Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-22 20:10 kgv New Issue
2020-01-22 20:10 kgv Assigned To => kgv
2020-01-22 20:18 kgv File Added: bug31312_cube_emb.gltf
2020-01-22 20:27 git Note Added: 0089994
2020-01-22 20:40 git Note Added: 0089995
2020-01-22 22:29 git Note Added: 0089998
2020-01-22 22:33 git Note Added: 0089999
2020-01-22 23:08 kgv Note Added: 0090000
2020-01-22 23:08 kgv Assigned To kgv => osa
2020-01-22 23:08 kgv Status new => resolved
2020-01-22 23:08 kgv Relationship added child of 0030691
2020-01-23 17:40 osa Note Added: 0090028
2020-01-23 17:40 osa Assigned To osa => bugmaster
2020-01-23 17:40 osa Status resolved => reviewed
2020-01-23 18:15 bugmaster Test case number => de_mesh/gltf_read/cubeemb
2020-01-24 17:13 bugmaster Status reviewed => tested
2020-01-25 13:09 bugmaster Changeset attached => occt master 6216ed57
2020-01-25 13:09 bugmaster Status tested => verified
2020-01-25 13:09 bugmaster Resolution open => fixed
2020-01-25 13:26 git Note Added: 0090060


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker